Name:           non-daw
Version:        1.1.0
Release:        0.1.gitae6b78cf%{?dist}
Summary:        A digital audio workstation for JACK

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://%{name}.tuxfamily.org/
Source0:        non-daw-20121013-git61addce.tar.bz2
# script to create source tarball from git
# sh non-snapshot.sh (rev>
Source1:        non-snapshot.sh
Patch0:         non-daw-makefile.patch
Patch1:         non-daw-desktop.patch

BuildRequires:  liblo-devel
BuildRequires:  libsndfile-devel
BuildRequires:  fltk-fluid
BuildRequires:  fltk-devel
BuildRequires:  libsigc++20-devel
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  desktop-file-utils
BuildRequires:  imake
BuildRequires:  libXpm-devel

%description
Non-daw is a digital audio workstation for JACK

%prep
%setup -q -n non-daw-20121013
%patch0 -p1
%patch1 -p1
sed -i -e 's|src/timeline $(prefix)/bin/non-daw|src/timeline $(DESTDIR)$(prefix)/bin/non-daw|' timeline/makefile.inc
sed -i -e 's|@ $(CXX)|$(CXX) %optflags|' \
  scripts/Makefile 

%build
cd nonlib
%configure --prefix=%{_prefix} --enable-debug
make %{?_smp_mflags} 
cd ../FL
%configure --prefix=%{_prefix} --enable-debug
make %{?_smp_mflags} 
cd ../timeline
%configure --prefix=%{_prefix} --enable-debug
make %{?_smp_mflags} 

%install 
cd timeline
mkdir -p %{buildroot}%{_bindir}
export DESTDIR=%{buildroot}
make install DOCUMENT_PATH=%{buildroot}/%{_docdir}/
mv %{buildroot}/%{_docdir}/%{name} %{buildroot}/%{_docdir}/%{name}-%{version}
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%post 
update-desktop-database -q
touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :

%postun
update-desktop-database -q
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
fi

%posttrans 
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/pixmaps/%{name}

%changelog
* Sat Oct 13 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.1.0-0.1.gitae6b78cf
- Initial build
